Subject: Re: [urn] Request for urn mrn

From: Kasper Nielsen <[email-masked]>
Date: Tue, 7 Nov 2017 18:11:46 +0100

Hi,

I'm a little unsure about the further registration process. Do we need to
do something on our side?

BR
  Kasper

On 16 October 2017 at 16:42, Kasper Nielsen <[email-masked]> wrote:

> Hi Lars,
>
> Thank you for your comments. My comments are inline.
>
> I know there are some sections that might be a bit weak. Having this kind
> of meta URN namespace is a bit of an experiment for us. And we hope to
> gather some valuable feedback once people start to adopt the standard.
> Expecting to strengthen the specification as well as provide better
> guidelines over time.
>
>
>> Eventually I also got around to review your request. It looks almost
>> ready to me, but there are two areas you might want to look into:
>>
>> 1) I cannot find anything on how you want to ensure that the identifiers
>> (e. g. the URNs) remain unique and that they are not by accident assigned
>> twice. In the "Assignment" section you write that "Management of
>> Organization-Specific Namespace IDs should be done in    accordance to the
>> guidelines provided at http://www.mrnregistry.org." If that enough to
>> ensure uniqueness of the that's fine with me but it would be helpful to
>> have that explicit in the registration document.
>>
> I've changed the section to this:
>
> ++++++++++++++++++++++++
>    Assignment of Organization IDs is done by filling out and sending in
> the
>    registration template, as detailed on http://www.mrnregistry.org. IALA
> will
>    ensure the uniqueness of Organization IDs by ensuring that an ID can
> only be
>    assigned once. Records of all successful registrations will be
> maintained in
>    a public version control repository as detailed on the website.
>
>    The assignment procedures for MRN strings under a particular
>    Organization-specific namespace ID is the responsibility of the
> maintaining
>    organization. The considerations provided by http://www.mrnregistry.org
> as
>    well as Section 6.4.3 of the URN specification [RFC8141] must be taken
> into
>    account when defining the actual assignment procedure.
> +++++++++++++++++++++++++
>
>
>> 2) There is no section on lexical equivalence (e. g. how you can decide
>> if two character sequences are "the same" URN). The "Syntax" section says:
>> "The namespace, “mrn”, is case-insensitive in processing but is
>> conventionally written in lower case" but that's about all. Since much of
>> the handling is done in sub-namespaces, I understand that it can be
>> difficult to give exact rules here, but I think that the registration at
>> least should say that for comparison, the strings "urn" and "mrn" must be
>> converted to lower case. If you can have such a rule for the OID, too, it
>> would be excellent. Beyond that, I guess that it depends on the how the
>> organisation identified by the OID handles its OSS.
>>
>
> I've added the following section:
>
> +++++++++++++++++++++++++++
>
> Rules for Lexical Equivalence:
>
>    In addition to the URN equivalance rules defined in Section 2.1 of the
> URN
>    specification [RFC8141]. Case normalization must be applied to both the
> OID
>    and OSNID part before determining lexical equivalence.
>
>    Rules for equality comparisons of the OSNS part must be clearly
> documented
>    by the governing organization.
> ++++++++++++++++++++++++
>
> /Kasper
>
>
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 7 Nov 2017 10:27:30 -0700

On 11/7/17 10:11 AM, Kasper Nielsen wrote:
> Hi,
> 
> I'm a little unsure about the further registration process. 

Sorry about that. We're all smoothing out wrinkles in the registration
process, so thanks for your patience.

> Do we need
> to do something on our side?

Your textual changes look good to me. I have only two small comments...

>        Organization-specific namespace ID is the responsibility of the

That should be "are" (subject-object agreement is annoying!).

>        by the governing organization.

It might be slightly better to say this:

   Rules for equality comparisons of the OSNS part must be clearly
   documented by the governing organization, and be consistent with
   Sections 3.1 and 6.4.2 of RFC 8141.

That might help guide the governing organizations with regard to any
rules they might define; I am thinking especially of the following
guidelines in Sections 3.1 and Section 6.4.2 respectively:

   Such rules MUST always have the effect of eliminating some
   of the false negatives obtained by the procedure above and MUST NOT
   result in treating two URNs as not "the same" if the procedure here
   says they are URN-equivalent.

And:

   3.  Rules for determining URN-equivalence between two names in the
       URN namespace.  Such rules ought to always have the effect of
       eliminating false negatives that might otherwise result from
       comparison.  If it is appropriate and helpful, reference can be
       made to particular equivalence rules defined in the URI
       specification [RFC3986] or to Section 3 of this document.
       Examples of URN-equivalence rules include equivalence between
       uppercase and lowercase characters in the NSS, between hyphenated
       and non-hyphenated groupings in the name, or between single
       quotes and double quotes.  There may also be namespace-specific
       special encoding considerations, especially for URNs that contain
       embedded forms of names from non-URN identifier systems.  (Note
       that these are not normative statements for any kind of best
       practice related to handling of relationships between characters
       in general; such statements are limited to one particular URN
       namespace only.)

With those minor adjustments, in my opinion your registration is ready
to be completed.

Peter

---

From: John C Klensin <[email-masked]>
Date: Tue, 07 Nov 2017 17:21:49 -0500

Concur.
   john

--On Tuesday, November 7, 2017 10:27 -0700 Peter Saint-Andre
<[email-masked]> wrote:

> Sorry about that. We're all smoothing out wrinkles in the
> registration process, so thanks for your patience.
> 
>> Do we need
>>        The assignment procedures for MRN strings under a
>>     particular     Organization-specific namespace ID is
>>     the responsibility of the
> 
>>        Rules for equality comparisons of the OSNS part must
>>     be clearly documented 
>    Rules for equality comparisons of the OSNS part must be
> clearly    documented by the governing organization, and be
> consistent with    Sections 3.1 and 6.4.2 of RFC 8141.
> 
> That might help guide the governing organizations with regard
> to any rules they might define; I am thinking especially of
> the following guidelines in Sections 3.1 and Section 6.4.2
> respectively:
> 
>    of the false negatives obtained by the procedure above and
> MUST NOT    result in treating two URNs as not "the same" if
> the procedure here    says they are URN-equivalent.
> 
> And:
> 
>    3.  Rules for determining URN-equivalence between two names
> in the        URN namespace.  Such rules ought to always have
> the effect of        eliminating false negatives that might
> otherwise result from        comparison.  If it is appropriate
> and helpful, reference can be        made to particular
> equivalence rules defined in the URI        specification
> [RFC3986] or to Section 3 of this document.        Examples of
> URN-equivalence rules include equivalence between
> uppercase and lowercase characters in the NSS, between
> hyphenated        and non-hyphenated groupings in the name, or
> between single        quotes and double quotes.  There may
> also be namespace-specific        special encoding
> considerations, especially for URNs that contain
>        that these are not normative statements for any kind of
> best        practice related to handling of relationships
> between characters        in general; such statements are
> limited to one particular URN        namespace only.)
> 
> With those minor adjustments, in my opinion your registration
> is ready to be completed.
> 
> Peter
>

---

From: "Svensson, Lars" <[email-masked]>
Date: Fri, 10 Nov 2017 08:52:04 +0000

H Kasper,

Sorry for not coming back to your reply re my comments sooner... Thanks for taking my suggestions into account. I agree with Peter and John that your registration is ready to be completed if you add Peter's suggested references to §§ 3.1 and 6.4.2 of RFC 8141.

Thanks,

Lars

On Tuesday, November 07, 2017 11:22 PM, urn [mailto:[email-masked]] On Behalf Of John C Klensin wrote:

> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn

---

From: Kasper Nielsen <[email-masked]>
Date: Mon, 13 Nov 2017 10:40:17 +0100

> process, so thanks for your patience.

No worries, just appreciated all the hard work done by you guys.

> guidelines in Sections 3.1 and Section 6.4.2 respectively:
Both of them added, thanks.
The updated document is here
https://raw.githubusercontent.com/dma-dk/www.mrnregistry.org/gh-pages/iana-registration

BR
 Kasper

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 13 Nov 2017 08:16:17 -0700

On 11/13/17 2:40 AM, Kasper Nielsen wrote:
> On 7 November 2017 at 18:27, Peter Saint-Andre <[email-masked]
> <mailto:[email-masked]>> wrote:
> 

Thanks, Kasper. I think it is ready to submit to IANA!

Peter